<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('main');
});

Route::get('/watch', function () {
    return view('welcome');
});

Auth::routes();
Auth::routes(['verify' => true]);

//Route::get('/home', 'HomeController@index')->name('home');

Route::get('/auth', function () {
    return view('auth.auth');
});

Route::get('/index', function () {
    return view('index');
});
Route::get('/main', function () {
    return view('main');
});
Route::get('/about', function () {
    return view('about');
});
Route::get('/contacts', function () {
    return view('contacts');
});
Route::get('/addpackage', function () {
    return view('addpackage');
});
Route::get('/old', function () {
    return view('old');
});
Route::get('/pay', function () {
    return view('pay');
});

Route::get('/declaration', function () {
    return view('templates.declaration');
});

Route::get('/profile', function () {
    return view('profile');
});
Route::get('/questions', function () {
    return view('questions');
});


Route::get('/refresh', 'Auth\LoginController@refresh')->name('refresh');
//Route::post('/login', 'Auth\LoginController@refreshpost')->name('login');


Route::post('/feedback/add', 'FeedbackController@addGuest');
Route::post('/send-mail', 'HomeController@sendMail')->name('send.mail');
Route::get('/send-mail', 'HomeController@sendMailGet');
//
Route::get('/packages', 'OrderController@index')->name('package')->middleware('auth');
Route::get('/packages/create/{id}', 'OrderController@create')->name('package.create')->middleware('auth');
Route::get('/packages/payment/{orderId}', 'OrderController@payment')->name('package.payment')->middleware('auth');
Route::get('/packages/payment-success/{id}', 'OrderController@paymentSuccess')->name('package.payment.success')->middleware('auth');
Route::get('/packages/payment-error', 'OrderController@paymentError')->name('package.payment.error')->middleware('auth');
//Route::post('/packages/paypal-transaction-complete', 'OrderController@paymentSuccess')->name('package.payment.success')->middleware('auth');
Route::post('/packages/order-store', 'OrderController@orderStore')->name('package.store')->middleware('auth');
Route::get('/packages/get-address-ajax-s', 'OrderController@getAddressAjaxS')->name('package.getAddressAjaxS')->middleware('auth');
Route::get('/packages/get-address-ajax-r', 'OrderController@getAddressAjaxR')->name('package.getAddressAjaxR')->middleware('auth');
Route::get('/declaration/{package_id}', 'Postman\DeclarationController@generatePDF')->where(['package_id' => '[0-9]+'])->middleware('auth');
Route::get('/verify-email', 'ProfileController@verifyShow')->name('verifyShow')->middleware('auth');
Route::post('/verify-send', 'ProfileController@verifySend')->name('verifySend')->middleware('auth');
Route::get('/profile/address', 'ProfileController@address')->name('address')->middleware('auth');
Route::get('/profile/addaddress', 'ProfileController@addaddress')->name('address.add')->middleware('auth');
Route::post('/profile/storeaddress', 'ProfileController@storeaddress')->name('address.store')->middleware('auth');
Route::delete('/profile/{id}', 'ProfileController@address_delete')->name('address.destroy')->middleware('auth');
Route::get('/profile', 'ProfileController@profile')->middleware('auth');
Route::post('/profile/save', 'ProfileController@save')->name('profile.save')->middleware('auth');
Route::get('/get-fedex-label/{id}', 'DeliverySytemsController@getFedexData')->middleware('auth');
//

Route::get('/profile/info', 'ProfileController@info')->middleware('auth');
Route::post('/profile/address/add', 'ProfileController@address_add')->middleware('auth');
Route::get('/profile/address/add', 'ProfileController@address_add')->middleware('auth');
Route::get('/profile/address/edit/{id}', 'ProfileController@address_edit')->where(['id' => '[0-9]+'])->middleware('auth');
Route::post('/profile/address/edit/{id}', 'ProfileController@address_edit')->where(['id' => '[0-9]+'])->middleware('auth');
Route::get('/profile/address/delete/{id}', 'ProfileController@address_delete')->where(['id' => '[0-9]+'])->middleware('auth');
Route::get('/profile/address/set_default/{id}', 'ProfileController@address_set_default')->where(['id' => '[0-9]+'])->middleware('auth');
Route::get('/profile/edit/', 'ProfileController@edit_profile')->middleware('auth');
Route::post('/profile/edit/', 'ProfileController@edit_profile')->middleware('auth');
Route::get('/profile/password/', 'ProfileController@edit_password')->middleware('auth');
Route::post('/profile/password/', 'ProfileController@edit_password')->middleware('auth');

Route::get('/tariffs', 'HomeController@tariffs')->name('tariffs');
Route::get('/terms', 'HomeController@terms')->name('terms');

Route::get('/home', 'HomeController@index')->name('home');
//
///**
// *  Роуты для управления складом Админ панель
// */
//Route::namespace('Postman')->group(function () {
//    Route::get('/postman/packages', 'PackagesController@packages_list');
//    Route::get('/postman/address', 'AddressController@index');
//    Route::get('/postman/users', 'UsersController@index');
//    Route::get('/postman/declarations', 'DeclarationController@index');
//    Route::get('/postman/activities', 'ActivitylogController@index')->name('activityLog');
//    Route::get('/postman/feedback', 'FeedbackController@index')->name('feedback');
//
//    Route::get('/postman/user/{user_id}/edit', 'UsersController@edit')->where(['user_id' => '[0-9]+'])->name('userEdit');
//    Route::get('/postman/address/{address_id}/edit', 'AddressController@edit')->where(['address_id' => '[0-9]+'])->name('addressEdit');
//    Route::get('/postman/package/{package_id}/edit', 'PackagesController@edit')->where(['package_id' => '[0-9]+'])->name('packageEdit');
//    Route::get('/postman/declaration/{package_id}/generate', 'DeclarationController@generatePDF')->where(['package_id' => '[0-9]+'])->name('declarationPdf');
//    Route::post('/postman/package/{package_id}/update', 'PackagesController@update')->where(['package_id' => '[0-9]+'])->name('packageUpdate');
//    Route::post('/postman/user/{user_id}/update', 'UsersController@update')->where(['user_id' => '[0-9]+'])->name('userUpdate');
//    Route::post('/postman/address/{address_id}/update', 'AddressController@update')->where(['address_id' => '[0-9]+'])->name('addressUpdate');
//    Route::get('/postman/feedback/{feedback_id}/view', 'FeedbackController@view')->where(['feedback_id' => '[0-9]+'])->name('feedbackView');
//});
